const path = require('path');

module.exports = {
  entry: './src/index.js',
  devtool: 'source-map',
  output: {
    path: path.resolve(__dirname, 'lib'),
    filename: 'index.js',
    libraryTarget: 'umd',
    library: 'ReactCodeInput'
  },
  module: {
    loaders: [
      {
        include: [
          path.resolve(__dirname, 'src')
        ],
        test: /\.js$/,
        loader: 'babel-loader',
        query: {
          presets: ['es2015', 'react']
        }
      }, {
        test: /\.css$/,
        loaders: ["css", "sass"]
      }
    ]
  },
  resolve: {
    extensions: ['', '.js', '.json']
  },
  externals: {
    react: 'react'
  },
  plugins: []
};


/*[{
  entry: './src/index.js',
  output: {
    path: path.resolve(__dirname, 'lib'),
    filename: 'index.js',
    libraryTarget: 'umd',
    library: 'ReactCodeInput'
  },
  resolve: {
    modulesDirectories: ['node_modules']
  },
  module: {
    loaders: [
      {
        test: /\.js$/,
        loader: 'babel-loader',
        query: {
          presets: ['es2015', 'react'],
          compact: true
        }
      },
      {
        test: /\.scss$/,
        loaders: ["css", "sass"]
      }
    ]
  },
  extensions: ['', '.js', '.json'],
  externals: {
    'react': 'react',
    'react-dom': 'react-dom'
  },
  stats: {
    colors: true
  },
  devtool: 'source-map'
}*/
/*,
{
  entry: './example/example.js',
  output: {
    path: path.resolve(__dirname, 'example/dist'),
    filename: 'example.js'
  },
  resolve: {
    modulesDirectories: ['node_modules'],
    root: [
      path.join(__dirname, 'src'),
      path.join(__dirname, 'styles')
    ]
  },
  module: {
    loaders: [
      {
        test: /\.js$/,
        loader: 'babel-loader',
        query: {
          presets: ['es2015', 'react']
        }
      },
      {
        test: /\.css$/,
        loader: ExtractTextPlugin.extract("style-loader", "css-loader")
      },
      {
        test: /\.scss$/,
        loader: ExtractTextPlugin.extract("style-loader", "css-loader!sass-loader")
      }
    ]
  },
  plugins: [
    new ExtractTextPlugin("style.css", {
      allChunks: true
    })
  ],
  stats: {
    colors: true
  },
  devtool: 'source-map'
}*///];
